use lib '.';
use strict;
use warnings;

use inc::Module::Install;

# Definition.
abstract 'Random hash type objects.';
author 'Michal Josef Spacek <skim@cpan.org>';
author_requires 'English' => 0;
author_requires 'File::Object' => 0;
author_requires 'Test::More' => 0;
author_requires 'Test::NoWarnings' => 0;
author_requires 'Test::Pod' => 0;
author_requires 'Test::Pod::Coverage' => 0;
license 'bsd';
name 'Data-Random-HashType';
perl_version 5.008;
readme_from 'HashType.pm';
recursive_author_tests('xt');
requires 'Class::Utils' => 0;
requires 'Data::HashType' => 0.05;
requires 'DateTime' => 0;
requires 'Mo::utils' => 0.25;
requires 'Random::Day::InThePast' => 0;
requires 'Readonly' => 0;
resources 'bugtracker' => 'https://github.com/michal-josef-spacek/Data-Random-HashType/issues';
resources 'homepage' => 'https://github.com/michal-josef-spacek/Data-Random-HashType';
resources 'repository' => 'git://github.com/michal-josef-spacek/Data-Random-HashType';
test_requires 'English' => 0;
test_requires 'Error::Pure::Utils' => 0;
test_requires 'Test::MockObject' => 0;
test_requires 'Test::More' => 0;
test_requires 'Test::NoWarnings' => 0;
tests_recursive;
version '0.05';

# Run.
WriteAll();
